\usetheme{default}
\usepackage{tikz}
\usetikzlibrary{shapes,arrows}

\usepackage{tcolorbox}
\usepackage{fontspec}
\usepackage{xltxtra}
\usepackage{polyglossia}
\setdefaultlanguage{spanish}

% Fonts setup
\defaultfontfeatures[\rmfamily,\sffamily]{Ligatures=TeX}
\setmainfont{TeXGyreTermesX}[
UprightFont = *-Regular,
BoldFont = *-Bold,
ItalicFont = *-Italic,
BoldItalicFont = *-BoldItalic,
Extension = .otf]
\setsansfont{LibertinusSans}[
UprightFont = *-Regular,
BoldFont = *-Bold,
ItalicFont = *-Italic,
Extension = .otf]
\usepackage[
        subscriptcorrection,
        nofontinfo,
        zswash,
        mtphrd,
        mtpfrak,
        mtpcal
]{mtpro2}

% Colours
\definecolor{arsenic}{rgb}{0.23, 0.27, 0.29}
\definecolor{almond}{rgb}{0.94, 0.87, 0.8}
\definecolor{antiquebrass}{rgb}{0.8, 0.58, 0.46}

% Set background
\setbeamertemplate{background canvas}{\pagecolor{almond}}

\setbeamercolor{structure}{fg=arsenic}
\setbeamertemplate{items}[circle]
\setbeamerfont{structure}{family = \rmfamily}

% Frametitle
\setbeamertemplate{frametitle}
{
\tcbset{arc is angular,colframe=gray!95!black,colback=antiquebrass,arc=1mm,
       spread sidewards}
% width=\linewidth+0.5cm}
\begin{tcolorbox}
\begin{centering}
\Large
\color{arsenic}
\insertframetitle
\par
\end{centering}
\end{tcolorbox}
}

% Titlepage
\setbeamerfont{title}{size = \huge}
% \usefonttheme{structuresmallcapsserif}
\usefonttheme{serif}
\setbeamercolor{normal text}{fg=arsenic}

%\renewcommand{\tiny}{\fontsize{7pt}{8pt}\selectfont}
%\renewcommand{\scriptsize}{\fontsize{9pt}{12pt}\selectfont}
%\renewcommand{\footnotesize}{\fontsize{10pt}{12pt}\selectfont}
%\renewcommand{\small}{\fontsize{12pt}{18pt}\selectfont}
%\renewcommand{\normalsize}{\fontsize{14pt}{18pt}\selectfont}
%\renewcommand{\large}{\fontsize{16pt}{24pt}\selectfont}
%\renewcommand{\Large}{\fontsize{24pt}{37pt}\selectfont}
%\renewcommand{\LARGE}{\fontsize{36pt}{48pt}\selectfont}
%\renewcommand{\huge}{\fontsize{48pt}{54pt}\selectfont}
%\renewcommand{\Huge}{\fontsize{80pt}{96pt}\selectfont}

\setbeamerfont{enumerate item}{size=\LARGE}
\setbeamerfont*{quote}{size=\large,shape=\itshape,series=\bfseries}
\setbeamerfont{word frame}{size=\Huge}

%%% An imageframe has one fullscreen image as background
%%% and maybe some text on top.
\newenvironment{imageframe}[1]
{
        \setbeamertemplate{background}{%
                \parbox[c][\paperheight]{\paperwidth}{%
                        \centering
                        \includegraphics[height=\paperheight]{#1}
        }}
        \begin{frame}
                \color{white}
}{\end{frame}}

%%% A wordframe has one word (or few) big and centered
\newenvironment{wordframe}
{
\begin{frame}
  \bf\usebeamerfont{word frame}
  }{\end{frame}}

%%% A defnframe defines a word or phrase
\newenvironment{defnframe}[1]
{
\begin{frame}
  \usebeamerfont{title}\usebeamercolor[fg]{box title}\LARGE #1: \\
  \vskip0.7cm
  \usebeamercolor[fg]{normal text}\Large\itshape
  }{\end{frame}}

\newcommand{\emptyslide}{\begin{frame}[plain]\end{frame}}

  \newenvironment{transbox}{%
  \begin{tikzpicture}
    \node[text width=.83\textwidth,
    fill=yellow!10, fill opacity=0.8,text opacity=1] \bgroup%
    }{\egroup;\end{tikzpicture}}
